import fs from 'fs';
import path from 'path';

export const events = fs.readFileSync(path.join(__dirname, 'events.gql'), 'utf8');
export const eventsInRange = fs.readFileSync(path.join(__dirname, 'eventsInRange.gql'), 'utf8');
export const keeper = fs.readFileSync(path.join(__dirname, 'keeper.gql'), 'utf8');
export const keepers = fs.readFileSync(path.join(__dirname, 'keepers.gql'), 'utf8');
export const runner = fs.readFileSync(path.join(__dirname, 'runner.gql'), 'utf8');
export const runners = fs.readFileSync(path.join(__dirname, 'runners.gql'), 'utf8');
export const queueTimeline = fs.readFileSync(path.join(__dirname, 'queueTimeline.gql'), 'utf8');
export const queueTimelines = fs.readFileSync(path.join(__dirname, 'queueTimelines.gql'), 'utf8');
export const permissionUpdate = fs.readFileSync(path.join(__dirname, 'permissionUpdate.gql'), 'utf8');
export const permissionUpdates = fs.readFileSync(path.join(__dirname, 'permissionUpdates.gql'), 'utf8');
export const orchestratorAction = fs.readFileSync(path.join(__dirname, 'orchestratorAction.gql'), 'utf8');
export const orchestratorActions = fs.readFileSync(path.join(__dirname, 'orchestratorActions.gql'), 'utf8');
export const vote = fs.readFileSync(path.join(__dirname, 'vote.gql'), 'utf8');
export const votes = fs.readFileSync(path.join(__dirname, 'votes.gql'), 'utf8');
export const actionFailure = fs.readFileSync(path.join(__dirname, 'actionFailure.gql'), 'utf8');
export const actionFailures = fs.readFileSync(path.join(__dirname, 'actionFailures.gql'), 'utf8');
export const creator = fs.readFileSync(path.join(__dirname, 'creator.gql'), 'utf8');
export const creators = fs.readFileSync(path.join(__dirname, 'creators.gql'), 'utf8');
export const creatorWithdrawal = fs.readFileSync(path.join(__dirname, 'creatorWithdrawal.gql'), 'utf8');
export const creatorWithdrawals = fs.readFileSync(path.join(__dirname, 'creatorWithdrawals.gql'), 'utf8');
export const strategy = fs.readFileSync(path.join(__dirname, 'strategy.gql'), 'utf8');
export const strategies = fs.readFileSync(path.join(__dirname, 'strategies.gql'), 'utf8');
export const vault = fs.readFileSync(path.join(__dirname, 'vault.gql'), 'utf8');
export const vaults = fs.readFileSync(path.join(__dirname, 'vaults.gql'), 'utf8');
export const vaultSnapshot = fs.readFileSync(path.join(__dirname, 'vaultSnapshot.gql'), 'utf8');
export const vaultSnapshots = fs.readFileSync(path.join(__dirname, 'vaultSnapshots.gql'), 'utf8');
export const prevVaultSnapshot = fs.readFileSync(path.join(__dirname, 'prevVaultSnapshot.gql'), 'utf8');
export const prevVaultSnapshots = fs.readFileSync(path.join(__dirname, 'prevVaultSnapshots.gql'), 'utf8');
export const prevDailyVaultSnapshot = fs.readFileSync(path.join(__dirname, 'prevDailyVaultSnapshot.gql'), 'utf8');
export const prevDailyVaultSnapshots = fs.readFileSync(path.join(__dirname, 'prevDailyVaultSnapshots.gql'), 'utf8');
export const prevMonthlyVaultSnapshot = fs.readFileSync(path.join(__dirname, 'prevMonthlyVaultSnapshot.gql'), 'utf8');
export const prevMonthlyVaultSnapshots = fs.readFileSync(path.join(__dirname, 'prevMonthlyVaultSnapshots.gql'), 'utf8');
export const prevAnnualVaultSnapshot = fs.readFileSync(path.join(__dirname, 'prevAnnualVaultSnapshot.gql'), 'utf8');
export const prevAnnualVaultSnapshots = fs.readFileSync(path.join(__dirname, 'prevAnnualVaultSnapshots.gql'), 'utf8');
export const prevWeeklyVaultSnapshot = fs.readFileSync(path.join(__dirname, 'prevWeeklyVaultSnapshot.gql'), 'utf8');
export const prevWeeklyVaultSnapshots = fs.readFileSync(path.join(__dirname, 'prevWeeklyVaultSnapshots.gql'), 'utf8');
export const vaultStateChanged = fs.readFileSync(path.join(__dirname, 'vaultStateChanged.gql'), 'utf8');
export const vaultStateChangeds = fs.readFileSync(path.join(__dirname, 'vaultStateChangeds.gql'), 'utf8');
export const vaultDeposit = fs.readFileSync(path.join(__dirname, 'vaultDeposit.gql'), 'utf8');
export const vaultDeposits = fs.readFileSync(path.join(__dirname, 'vaultDeposits.gql'), 'utf8');
export const vaultWithdraw = fs.readFileSync(path.join(__dirname, 'vaultWithdraw.gql'), 'utf8');
export const vaultWithdraws = fs.readFileSync(path.join(__dirname, 'vaultWithdraws.gql'), 'utf8');
export const depositor = fs.readFileSync(path.join(__dirname, 'depositor.gql'), 'utf8');
export const depositors = fs.readFileSync(path.join(__dirname, 'depositors.gql'), 'utf8');
export const vaultBeacon = fs.readFileSync(path.join(__dirname, 'vaultBeacon.gql'), 'utf8');
export const vaultBeacons = fs.readFileSync(path.join(__dirname, 'vaultBeacons.gql'), 'utf8');
export const vaultPosition = fs.readFileSync(path.join(__dirname, 'vaultPosition.gql'), 'utf8');
export const vaultPositions = fs.readFileSync(path.join(__dirname, 'vaultPositions.gql'), 'utf8');
export const liquiditySteer = fs.readFileSync(path.join(__dirname, 'liquiditySteer.gql'), 'utf8');
export const liquiditySteers = fs.readFileSync(path.join(__dirname, 'liquiditySteers.gql'), 'utf8');
export const orchestratorReward = fs.readFileSync(path.join(__dirname, 'orchestratorReward.gql'), 'utf8');
export const orchestratorRewards = fs.readFileSync(path.join(__dirname, 'orchestratorRewards.gql'), 'utf8');
export const orchestratorRewardTracker = fs.readFileSync(path.join(__dirname, 'orchestratorRewardTracker.gql'), 'utf8');
export const orchestratorRewardTrackers = fs.readFileSync(path.join(__dirname, 'orchestratorRewardTrackers.gql'), 'utf8');
export const orchestratorRewardSnapshot = fs.readFileSync(path.join(__dirname, 'orchestratorRewardSnapshot.gql'), 'utf8');
export const orchestratorRewardSnapshots = fs.readFileSync(path.join(__dirname, 'orchestratorRewardSnapshots.gql'), 'utf8');
export const bundle = fs.readFileSync(path.join(__dirname, 'bundle.gql'), 'utf8');
export const bundles = fs.readFileSync(path.join(__dirname, 'bundles.gql'), 'utf8');
export const job = fs.readFileSync(path.join(__dirname, 'job.gql'), 'utf8');
export const jobs = fs.readFileSync(path.join(__dirname, 'jobs.gql'), 'utf8');
export const jobExecution = fs.readFileSync(path.join(__dirname, 'jobExecution.gql'), 'utf8');
export const jobExecutions = fs.readFileSync(path.join(__dirname, 'jobExecutions.gql'), 'utf8');
export const jobGasDeposited = fs.readFileSync(path.join(__dirname, 'jobGasDeposited.gql'), 'utf8');
export const jobGasDepositeds = fs.readFileSync(path.join(__dirname, 'jobGasDepositeds.gql'), 'utf8');
export const jobGasWithdrawn = fs.readFileSync(path.join(__dirname, 'jobGasWithdrawn.gql'), 'utf8');
export const jobGasWithdrawns = fs.readFileSync(path.join(__dirname, 'jobGasWithdrawns.gql'), 'utf8');
export const vaultGasUsed = fs.readFileSync(path.join(__dirname, 'vaultGasUsed.gql'), 'utf8');
export const vaultGasUseds = fs.readFileSync(path.join(__dirname, 'vaultGasUseds.gql'), 'utf8');
export const vaultGasDeposited = fs.readFileSync(path.join(__dirname, 'vaultGasDeposited.gql'), 'utf8');
export const vaultGasDepositeds = fs.readFileSync(path.join(__dirname, 'vaultGasDepositeds.gql'), 'utf8');
export const vaultGasWithdrawn = fs.readFileSync(path.join(__dirname, 'vaultGasWithdrawn.gql'), 'utf8');
export const vaultGasWithdrawns = fs.readFileSync(path.join(__dirname, 'vaultGasWithdrawns.gql'), 'utf8');
export const whiteListManager = fs.readFileSync(path.join(__dirname, 'whiteListManager.gql'), 'utf8');
export const whiteListManagers = fs.readFileSync(path.join(__dirname, 'whiteListManagers.gql'), 'utf8');
export const whiteListVaultPermission = fs.readFileSync(path.join(__dirname, 'whiteListVaultPermission.gql'), 'utf8');
export const whiteListVaultPermissions = fs.readFileSync(path.join(__dirname, 'whiteListVaultPermissions.gql'), 'utf8');
export const leaderBoard = fs.readFileSync(path.join(__dirname, 'leaderBoard.gql'), 'utf8');
export const leaderBoards = fs.readFileSync(path.join(__dirname, 'leaderBoards.gql'), 'utf8');
export const vaultTransfer = fs.readFileSync(path.join(__dirname, 'vaultTransfer.gql'), 'utf8');
export const vaultTransfers = fs.readFileSync(path.join(__dirname, 'vaultTransfers.gql'), 'utf8');
export const _meta = fs.readFileSync(path.join(__dirname, '_meta.gql'), 'utf8');
export const getStateByCID = fs.readFileSync(path.join(__dirname, 'getStateByCID.gql'), 'utf8');
export const getState = fs.readFileSync(path.join(__dirname, 'getState.gql'), 'utf8');
export const getSyncStatus = fs.readFileSync(path.join(__dirname, 'getSyncStatus.gql'), 'utf8');
